Name:           perl-Test-Fatal
Version:        0.014
Release:        13
Summary:        Incredibly simple helpers for testing code with exceptions
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Fatal
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Test-Fatal-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl-interpreter, perl-generators, perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp), perl(Exporter) >= 5.57, perl(strict), perl(Test::Builder)
BuildRequires:  perl(Try::Tiny) >= 0.07, perl(warnings), perl(File::Spec), perl(overload)
BuildRequires:  perl(Test::Builder::Tester), perl(Test::More) >= 0.96
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)), perl(Test::Builder)

%description
Test::Fatal is an alternative to the popular Test::Exception.
It does much less, but should allow greater flexibility in
testing exception-throwing code with about the same amount
of typing.
It exports one routine by default: exception.

%package        help
Summary:        man files for %{name}
Requires:       man

%description    help
This package includes man files for %{name}.

%prep
%autosetup -n Test-Fatal-%{version} -p1
chmod -c -x examples/*

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%license LICENSE
%doc README examples/
%{perl_vendorlib}/Test/

%files help
%{_mandir}/man*/*

%changelog
* Mon Jan 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.014-13
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:change delete packlist

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.014-12
- Package init
